의존 라이브러리가 포함된 windows gnu emacs 26

gnu emacs 다운로드 파일 이름 구성이 달라졌다. 의존 라이브러리 포함이 기본이 됐다. 64bit는 emacs-26.1-x86_64.zip 파일을 받으면 된다. emacs-26.1-x86_64-no-deps.zip 파일은 의존 라이브러리가 없는 파일이다.

(emacs-version)
;;=> "GNU Emacs 26.1 (build 1, x86_64-w64-mingw32) of 2018-05-31"
(image-type-available-p 'png)
;;=> t
(gnutls-available-p)
;;=> (ClientHello\ Padding Session\ Ticket Extended\ Master\ Secret Encrypt-then-MAC ClientHello\ Padding ALPN Heartbeat SRTP Signature\ Algorithms SRP Supported\ ECC\ Point\ Formats Negotiated\ Groups …)

이제 libpng, gnutls를 찾아서 설치할 필요가 없다. 만세.

진짜 26부터 제공한 걸까? 혹시나 싶어 찾아보니 25부터 지원한 것 같다. emacs-25-x86_64-deps.zip 파일이 있는 걸 발견했다. 이전부터 없어서 으레 제공 안 한다고 생각했나 보다. 25에서도 필요한 걸 직접 찾아서 설치했다.

C-x C-s C-x C-c

크리에이티브 커먼즈 라이선스

Published: September 01 2018


Feedback plz <3 @ohyecloudy, ohyecloudy@gmail.com